diff --git a/changelog b/changelog
index d6b9e12..83c88ed 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,5 @@
+20100703 tpd src/axiom-website/patches.html 20100703.06.tpd.patch
+20100703 tpd src/input/Makefile add TESTSET=notests
 20100703 tpd src/axiom-website/patches.html 20100703.05.tpd.patch
 20100703 tpd books/bookvol10.3 fix DoubleFloatVector unit test, help file
 20100703 tpd src/axiom-website/patches.html 20100703.04.wxh.patch
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index 970bce4..b8a78d8 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -2976,5 +2976,7 @@ books/bookvol10.3 add ComplexDoubleFloatVector<br/>
 books/bookvol10.4 fix Export3D unit test<br/>
 <a href="patches/20100703.05.tpd.patch">20100703.05.tpd.patch</a>
 books/bookvol10.3 fix DoubleFloatVector unit test, help file<br/>
+<a href="patches/20100703.06.tpd.patch">20100703.06.tpd.patch</a>
+src/input/Makefile add TESTSET=notests<br/>
  </body>
 </html>
diff --git a/src/input/Makefile.pamphlet b/src/input/Makefile.pamphlet
index 6145a3d..982f6e6 100644
--- a/src/input/Makefile.pamphlet
+++ b/src/input/Makefile.pamphlet
@@ -475,10 +475,13 @@ catstests: ${CATSTESTS} ${OUTS}
 	@ echo 2 running testset cats
 
 regresstests: ${REGRESSTESTS} ${OUTS}
-	@ echo 2 running testset regress
+	@ echo 3 running testset regress
  
 alltests: regresstests catstests richtests algebratests ${OUTS}
 	@ echo 4 running all tests
+
+notests:
+	@ echo 5 running no tests
  
 %.input: ${IN}/%.input.pamphlet
 	@ echo generic 16 making ${MID}/$*.input from ${IN}/$*.input.pamphlet
@@ -1270,7 +1273,8 @@ use:
 
 regress:
 	@echo 3 making ${MID}
-	@ ${TANGLE} -t8 -R"regression tests" ${IN}/Makefile.pamphlet >${MID}/Makefile
+	@ ${TANGLE} -t8 -R"regression tests" ${IN}/Makefile.pamphlet \
+          >${MID}/Makefile
 	@ echo 3a tpdhere parallel making ${MID} 
 	@ echo 3b tpdhere parallel making ${MID} 
 	( cd ${MID}; ${ENV} ${MAKE} ${TESTSET} )
